Bug 667025 (CVE-2010-4577) - CVE-2010-4577 webkit: CSS Font Face Parsing Type Confusion Vulnerability
Summary: CVE-2010-4577 webkit: CSS Font Face Parsing Type Confusion Vulnerability
Status: CLOSED ERRATA
Alias: CVE-2010-4577
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101213,reported=20101213,sou...
Keywords: Security
Depends On: 640385 640386 667027
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 05:44 UTC by Huzaifa S. Sidhpurwala
Modified: 2011-09-26 21:44 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-09-26 21:44:36 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 17:07:15 UTC

Description Huzaifa S. Sidhpurwala 2011-01-04 05:44:50 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4577 to
the following vulnerability:

Name: CVE-2010-4577
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4577
Assigned: 20101221
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=63866
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2010/12/stable-beta-channel-updates_13.html 

Google Chrome before 8.0.552.224 and Chrome OS before 8.0.552.343 do 
not properly parse Cascading Style Sheets (CSS) token sequences, 
which allows remote attackers to cause a denial of service 
(out-of-bounds read) via unspecified vectors.

Upstream:
Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=49883
Trac: http://trac.webkit.org/changeset/72685

This is fixed in webkitgtk 1.2.6

Comment 1 Huzaifa S. Sidhpurwala 2011-01-04 05:55:12 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 667027]

Comment 2 errata-xmlrpc 2011-01-25 17:08:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html


Note You need to log in before you can comment on or make changes to this bug.